SCSI_HOST_ALLOC(9)

NAME
scsi_host_alloc - register a scsi host adapter instance.

SYNOPSIS

struct Scsi_Host * scsi_host_alloc(struct scsi_host_template * sht, int privsize);

ARGUMENTS

sht
    pointer to scsi host template

privsize
    extra bytes to allocate for driver

NOTE

Allocate a new Scsi_Host and perform basic initialization. The host is not published to the scsi midlayer until scsi_add_host is called.

RETURN VALUE

Pointer to a new Scsi_Host

AUTHORS

James Bottomley <James.Bottomley@hansenpartnership.com>
    Author.

Rob Landley <rob@landley.net>
    Author.

COPYRIGHT